#!/bin/sh

# script to run update, setting properties, for all projects

source properties.shsource
source parseSiteArg.shsource

if [ "${2}" == "-clean" ] ; then

	 echo "   Removing ${testUpdateSite}/features/"
	 rm -fr ${testUpdateSite}/features/
	
	 echo "   Removing ${testUpdateSite}/plugins/"
	 rm -fr ${testUpdateSite}/plugins/
	
	 echo "   Removing index and site xml files"
	 rm -fr ${testUpdateSite}/*

fi
	
 echo "   Updating index and web site files, but not site xml files (yet)"
 rsync -pua ${HOME}/${updateToolsDir}/WebContent/${mainIndexFileName} ${testUpdateSite}/index.html
 rsync -pua ${HOME}/${updateToolsDir}/WebContent/*.jpg ${testUpdateSite}



ant  -f ${fileListFile} -Declipse.home=${eclipseLocation} -Dupdate.site=${testUpdateSite}

# merge authored site.xml files with the most recent auto generated one
./runtestUpdateSiteXmlFiles.sh ${mainSiteFileName} ${testUpdateSite}

# do create pack's later ... takes a long time
# ant  -f createPack200s.xml     -Declipse.home=${eclipseLocation} -Dupdate.site=${testUpdateSite}

# run create Digests now, it's a good check if all is well
ant  -f createDigests.xml      -Declipse.home=${eclipseLocation} -Dupdate.site=${testUpdateSite}

# create P2 repository metadata
ant  -f createP2Repo.xml  -Declipse.home=${eclipseLocation} -Dupdate.site=${testUpdateSite}  
